WIMAX_MSG(9)

NAME
wimax_msg - Send a message to user space

SYNOPSIS

int wimax_msg(struct wimax_dev * wimax_dev, const char * pipe_name, const void * buf, size_t size, gfp_t gfp_flags);

ARGUMENTS

wimax_dev
    WiMAX device descriptor (properly referenced)

pipe_name
    "named pipe" the message will be sent to

buf
    pointer to the message to send.

size
    size of the buffer pointed to by buf (in bytes).

gfp_flags
    flags for memory allocation.

RETURNS

0 if ok, negative errno code on error.

DESCRIPTION

Sends a free-form message to user space on the device wimax_dev.

NOTES

Once the skb is given to this function, who will own it and will release it when done (unless it returns error).

COPYRIGHT